Lite Profile
curl --request GET \
--url https://api.kyckr.com/v2/companies/{kyckrId}/lite \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kyckr.com/v2/companies/{kyckrId}/lite"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kyckr.com/v2/companies/{kyckrId}/lite', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"correlationId": "455cd440f5ea4b7d940ab38e6ab4c1e1",
"customerReference": "",
"timeStamp": "2023-04-05T10:27:24.363606Z",
"details": "Success",
"data": {
"activity": [
{
"code": "63120",
"description": "Web portals",
"type": "Primary"
}
],
"address": {
"fullAddress": "Kemp House, 160 City Road, London, United Kingdom, EC1V 2NX",
"buildingName": "Kemp House",
"streetName": "160 City Road",
"city": "London",
"postcode": "EC1V 2NX",
"country": "United Kingdom"
},
"companyNumber": "11655290",
"companyName": "KYCKR UK LIMITED",
"foundationDate": {
"original": "2018-11-01"
},
"legalForm": {
"original": "ltd"
},
"legalStatus": {
"original": "active"
},
"registrationAuthority": "Companies House, United Kingdom"
}
}{
"orderId": 12345,
"correlationId": "string",
"customerReference": "string",
"timeStamp": "2019-08-24T14:15:22Z",
"details": "string",
"cost": {
"type": "credit",
"value": 0
},
"links": {
"self": "../dictionary"
},
"data": {
"type": "https://httpstatuses.com/400",
"title": "Missing Parameter",
"detail": "The `isoCode` parameter is required",
"errors": []
}
}{
"orderId": 12345,
"correlationId": "string",
"customerReference": "string",
"timeStamp": "2019-08-24T14:15:22Z",
"details": "string",
"cost": {
"type": "credit",
"value": 0
},
"links": {
"self": "../dictionary"
},
"data": {
"type": "https://httpstatuses.com/401",
"title": "Unauthorized",
"detail": "Please authorize before making requests",
"errors": []
}
}{
"orderId": 12345,
"correlationId": "string",
"customerReference": "string",
"timeStamp": "2019-08-24T14:15:22Z",
"details": "string",
"cost": {
"type": "credit",
"value": 0
},
"links": {
"self": "../dictionary"
},
"data": {
"type": "https://httpstatuses.com/403",
"title": "Forbidden",
"detail": "This feature is not available on this account",
"errors": []
}
}{
"orderId": 12345,
"correlationId": "string",
"customerReference": "string",
"timeStamp": "2019-08-24T14:15:22Z",
"details": "string",
"cost": {
"type": "credit",
"value": 0
},
"links": {
"self": "../dictionary"
},
"data": {
"type": "https://httpstatuses.com/404",
"title": "Not Found",
"detail": "This resource could not be found",
"errors": []
}
}{
"orderId": 12345,
"correlationId": "string",
"customerReference": "string",
"timeStamp": "2019-08-24T14:15:22Z",
"details": "string",
"cost": {
"type": "credit",
"value": 0
},
"links": {
"self": "../dictionary"
},
"data": {
"type": "https://httpstatuses.com/429",
"title": "Too Many Requests",
"detail": "This service only allows 50 requests within a 10 minute period",
"errors": []
}
}Companies
Lite Profile
Basic company details are verified by ordering a Lite Profile. The Lite Profile includes (where present at the registry):
- Company Name
- Company Number
- Registered Address
- Registration or Foundation Date
- Registration Status
- Legal Form
- Company Activity
- Registration Authority
GET
/
companies
/
{kyckrId}
/
lite
Lite Profile
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Kyckr company reference, a shared format, usable across our V2 APIs
Query Parameters
Optional reference supplied by customer for tracking purposes
Response
OK
The related orderId.
Example:
12345
The related correlationId to this request, for support purposes.
A customer provided reference, which appears in the order list.
The UTC time at which the request occurred.
The response status details for the current request.
Cost of an item
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I